## org.apache.lucene.index
Class IndexNotFoundException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  java.io.FileNotFoundException
                      org.apache.lucene.index.IndexNotFoundException

All Implemented Interfaces:
  Serializable

    public final class IndexNotFoundException

extends FileNotFoundException

Signals that no index was found in the Directory. Possibly because the directory is empty, however can also indicate an index corruption.

See Also:
  Serialized Form

Constructor Summary
`IndexNotFoundException(String msg)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IndexNotFoundException

    public IndexNotFoundException(String msg)